package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemFireReform;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.DemReformReview;
import com.usky.fire.service.vo.DemFireReformVO;
import com.usky.fire.service.vo.DemReformReviewMaterialVO;
import com.usky.fire.service.vo.MobileScheduleVO;
import com.usky.fire.service.vo.UpdateReformReviewVO;

import java.util.Map;
import java.util.List;

/**
 * <p>
 * 消防整改数据表 服务类
 * </p>
 *
 * @author ZYJ
 * @since 2023-02-24
 */
public interface DemFireReformService extends CrudService<DemFireReform> {

    CommonPage<DemFireReformVO> fireReformList(String companyName, String reformId, Integer companyType, Integer pageNum, Integer pageSize);

    CommonPage<MobileScheduleVO> mobileScheduleList(String companyId, String reformId, Integer reformStatus, Integer pageNum, Integer pageSize);

    List<Map<String, Object>> reformReview(String reformId);

    void updateReformReview(UpdateReformReviewVO updateReformReviewVO);

    void updateMobileReformStatus(String reformId);

    void addReformMaterial(DemReformReviewMaterialVO demReformReviewMaterialVO);
}
